Subject: Re: bug#21410: [TEST-FAIL] 2 tests failed when running `make check' on Debian

From: "Thompson, David" <[email-masked]>
Date: Sun, 6 Sep 2015 07:25:44 -0400

[ re-CCing Ludo and bug-guix ]

On Sun, Sep 6, 2015 at 12:30 AM, Alex Vong <[email-masked]> wrote:
> Hi Dave,
>
> 2015-09-06 1:43 GMT+08:00, Thompson, David <[email-masked]>:
>>
>> Fixed in cf897cb.
>>
>> Alex, could you pull the master branch, run the tests, and send the
>> new log files?
>>
>> Thanks!
>>
>> - Dave
>>
>
> Sure, they are in the attachment.
>
> The build is done using fresh git-clone.

Thanks.  So, the issue is that the clone(2) system call is failing
with the EPERM error code, meaning the operation is not permitted.
This is odd because all users are allowed to call 'clone' with the
CLONE_NEWUSER flag to create a process in a new user namespace.
However, the clone(2) man page specifies a couple of cases in which
this can fail:

    EPERM  CLONE_NEWUSER  was  specified in flags, but either the effective
           user ID or the effective group ID of the caller does not have  a
           mapping in the parent namespace (see user_namespaces(7)).

    EPERM (since Linux 3.9)
           CLONE_NEWUSER  was  specified  in  flags  and the caller is in a
           chroot environment (i.e., the caller's root directory  does  not
           match  the  root  directory  of  the mount namespace in which it
           resides).

Do any of these apply to you?  Are you in a chroot or otherwise
virtualized environment?  Anything else you can think of that could
cause this error would be appreciated.

Thanks,

- Dave